"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
Object.defineProperty(exports, "__esModule", { value: true });
exports.getTooltipCSS = void 0;
var getTooltipCSS = function (primaryColor) {
    return " a.tooltip \n        {\n            text-decoration: underline;\n            cursor: help;\n        }\n        .tippy-box[data-animation=fade][data-state=hidden]{opacity:0}[data-tippy-root]{max-width:calc(100vw - 10px)}\n        .tippy-box\n        {\n            position:relative;background-color:#ffffff;color:#333;border:solid 1px ".concat(primaryColor["300"], "; \n            border-radius:4px;white-space:normal;outline:0;transition-property:transform,visibility,opacity;\n            padding:12px;--tw-shadow: 0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1);\n            --tw-shadow-colored: 0 1px 3px 0 var(--tw-shadow-color), 0 1px 2px -1px var(--tw-shadow-color);\n            box-shadow: var(--tw-ring-offset-shadow, 0 0 #0000), var(--tw-ring-shadow, 0 0 #0000), var(--tw-shadow);\n        }\n        .tippy-box[data-placement^=top]>.tippy-arrow{\n            bottom:0\n        }\n        .tippy-box[data-placement^=top]>.tippy-arrow:before\n        {\n            bottom:-7px;left:0;border-width:8px 8px 0;border-top-color:initial;transform-origin:center top\n        }\n        .tippy-box[data-placement^=bottom]>.tippy-arrow{top:0}\n        .tippy-box[data-placement^=bottom]>.tippy-arrow:before{top:-7px;left:0;border-width:0 8px 8px;border-bottom-color:initial;transform-origin:center bottom}\n        .tippy-box[data-placement^=left]>.tippy-arrow{right:0}\n        .tippy-box[data-placement^=left]>.tippy-arrow:before{border-width:8px 0 8px 8px;border-left-color:initial;right:-7px;transform-origin:center left}\n        .tippy-box[data-placement^=right]>.tippy-arrow{left:0}\n        .tippy-box[data-placement^=right]>.tippy-arrow:before{left:-7px;border-width:8px 8px 8px 0;border-right-color:initial;transform-origin:center right}\n        .tippy-box[data-inertia][data-state=visible]{transition-timing-function:cubic-bezier(.54,1.5,.38,1.11)}\n        .tippy-arrow{width:16px;height:16px;color:#333}\n        .tippy-arrow:before{content:\"\";position:absolute;border-color:transparent;border-style:solid}\n        .tippy-content{position:relative;padding:5px 9px;z-index:1}\n    ");
};
exports.getTooltipCSS = getTooltipCSS;
//# sourceMappingURL=html-read.js.map