"use strict";
//  COPYRIGHT:       PrimeObjects Software Inc. (C) 2022 All Right Reserved
//  COMPANY URL:     https://www.primeobjects.com/
//  CONTACT:         developer@primeobjects.com
//
//  This source is subject to the PrimeObjects License Agreements.
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ListLoadingSection = void 0;
var react_1 = __importStar(require("react"));
var content_loader_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/content-loader"));
var resize_detector_div_1 = __importDefault(require("primeobjects-ui-web-basic/build/cjs/controls/resize-detector-div"));
var ListLoadingSection = function (props) {
    var height = props.height, count = props.count, id = props.id, barHeight = props.barHeight;
    var className = props.className ? props.className : "";
    var _a = (0, react_1.useState)(0), width = _a[0], setWidth = _a[1];
    var onResize = function (width) {
        setWidth(width ? width : 0);
    };
    return (react_1.default.createElement(resize_detector_div_1.default, { className: "w-full p-4 ".concat(className), style: props.style, onDetect: onResize }, width > 0 && (react_1.default.createElement(content_loader_1.default, { id: id, height: height, count: count, width: width + (props.widthAdj ? props.widthAdj : 0), barHeight: barHeight }))));
};
exports.ListLoadingSection = ListLoadingSection;
exports.default = exports.ListLoadingSection;
//# sourceMappingURL=loading.js.map